﻿using System.Diagnostics;
using System.Windows;
using System.Windows.Input;
using Infragistics.Controls.Charts;

namespace DiagramEvents
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDiagram_ItemAdding(object sender, DiagramItemAddingEventArgs e)
        {
            Debug.WriteLine("ItemAdding");
        }

        private void XamDiagram_ItemAdded(object sender, DiagramItemAddedEventArgs e)
        {
            Debug.WriteLine("ItemAdded");
        }

        private void XamDiagram_NodeMoving(object sender, DiagramNodeMovingEventArgs e)
        {
            Debug.WriteLine("NodeMoving");
        }

        private void XamDiagram_NodeMoved(object sender, DiagramNodeMovedEventArgs e)
        {
            Debug.WriteLine("NodeMoved");
        }

        private void PreviewMouseDownHandler(object sender, MouseButtonEventArgs e)
        {
            if (e.ButtonState == MouseButtonState.Pressed)
            {
                Debug.WriteLine("Mouse Down on item.");
            }  
        }

        private void PreviewMouseUpHandler(object sender, MouseButtonEventArgs e)
        {
            if (e.ButtonState == MouseButtonState.Released)
            {
                Debug.WriteLine("Item is released.");
            }
        }     
    }
}
